SDL_RumbleJoystickTriggers(3)

NAME
SDL_RumbleJoystickTriggers - Start a rumble effect in the joystick's triggers.

HEADER FILE
Defined in SDL3/SDL_joystick.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_RumbleJoystickTriggers(SDL_Joystick *joystick, Uint16 left_rumble, Uint16 right_rumble, Uint32 duration_ms);

DESCRIPTION
Each call to this function cancels any previous trigger rumble effect, and calling it with 0 intensity stops any rumbling. Note that this is rumbling of the _triggers_ and not the game controller as a whole. This is currently only supported on Xbox One controllers. If you want the (more common) whole-controller rumble, use SDL_RumbleJoystick () instead. This function requires you to process SDL events or call SDL_UpdateJoysticks () to update rumble state.

FUNCTION PARAMETERS

joystick
    The joystick to vibrate

left_rumble
    The intensity of the left trigger rumble motor, from 0 to 0xFFFF

right_rumble
    The intensity of the right trigger rumble motor, from 0 to 0xFFFF

duration_ms
    The duration of the rumble effect, in milliseconds

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_RumbleJoystick(3)